libzn-poly-dev_0.9-3_amd64.deb


Advertisement

Description

libzn-poly-dev - development files for libzn-poly

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libzn-poly-dev
Package version 0.9
Package release 3
Package architecture amd64
Package type deb
Installed size 79 B
Download size 11.64 KB
Official Mirror ftp.br.debian.org
zn_poly is a C library for polynomial arithmetic in Z/nZ[x], where n
is any modulus that fits into an unsigned long.
This package contains the development files for the library.

Alternatives

Package Version Architecture Repository
libzn-poly-dev_0.9-3_i386.deb 0.9 i386 Debian Main
libzn-poly-dev - - -

Requires

Name Value
libzn-poly-0.9 = 0.9-3

Download

Type URL
Binary Package libzn-poly-dev_0.9-3_amd64.deb
Source Package libzn-poly

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libzn-poly-dev deb package:
    # sudo apt-get install libzn-poly-dev

Files

Path
/usr/include/zn_poly/wide_arith.h
/usr/include/zn_poly/zn_poly.h
/usr/lib/x86_64-linux-gnu/libzn_poly.so
/usr/share/doc/libzn-poly-dev/REFERENCES
/usr/share/doc/libzn-poly-dev/changelog.Debian.gz
/usr/share/doc/libzn-poly-dev/changelog.gz
/usr/share/doc/libzn-poly-dev/copyright

Changelog

2013-03-13 - Tobias Hansen <thansen@debian.org>
libzn-poly (0.9-3) unstable; urgency=low
* debian/patches/fix_ulong_redefinition.patch:
Undefine ulong before defining it again in zn_poly.h.
(Closes: #702887)
* Change distribution of the previous changelog entry 0.9-2
from experimental to unstable, because that version was 
accidentally uploaded to unstable.
2013-01-11 - Tobias Hansen <thansen@debian.org>
libzn-poly (0.9-2) unstable; urgency=low
* debian/patches/gcc-4.5-mips.patch:
The custom C implementation of ZNP_MUL_WIDE from the patch
caused the test suite to fail in zn_array_mul_KS1(). Remove
that implementation and use the one that was there all along.
2012-12-23 - Tobias Hansen <thansen@debian.org>
libzn-poly (0.9-1) experimental; urgency=low
* New upstream release.
* New maintainer Debian Science Team, uploader me,
with permission from Tim Abbott.
* Transition to dh (compat level 9).
* Build for multiarch.
* Enable hardening flags via dpkg-buildflags.
* Don't ship static library.
* Enable tests.
* Standards-Version 3.9.4
2011-05-09 - Aurelien Jarno <aurel32@debian.org>
libzn-poly (0.8-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix gcc-4.5 FTBFS on mips, due to old assembly constraints usage
(Closes: #623598).
2008-05-27 - Tim Abbott <tabbott@mit.edu>
libzn-poly (0.8-1) unstable; urgency=low
* Initial release (Closes: #480094).

See Also

Package Description
libzookeeper-java-doc_3.4.9-3+deb8u1_all.deb API Documentation for zookeeper
libzookeeper-java_3.4.9-3+deb8u1_all.deb Core Java libraries for zookeeper
libzookeeper-mt-dev_3.4.9-3+deb8u1_amd64.deb Development files for multi threaded zookeeper C bindings
libzookeeper-mt2_3.4.9-3+deb8u1_amd64.deb Multi threaded C bindings for zookeeper
libzookeeper-st-dev_3.4.9-3+deb8u1_amd64.deb Development files for single threaded zookeeper C bindings
libzookeeper-st2_3.4.9-3+deb8u1_amd64.deb Single threaded C bindings for zookeeper
libzookeeper2_3.4.9-3+deb8u1_amd64.deb C bindings for zookeeper - transitional package
libzorp-dev_3.9.5-4_amd64.deb Development files needed to compile Zorp modules
libzorp3.9_3.9.5-4_amd64.deb Runtime library of Zorp
libzorpll-dev_3.9.1.3-2_amd64.deb Zorp low-level functions - development files
libzorpll3.9-1-memtrace_3.9.1.3-2_amd64.deb Zorp low-level functions - memory debugging version
libzorpll3.9-1_3.9.1.3-2_amd64.deb Zorp low-level functions
libzrtpcpp-dev_2.3.4-1+b1_amd64.deb Headers and static link library for libzrtpcpp
libzrtpcpp2_2.3.4-1+b1_amd64.deb ccrtp extension for zrtp/Zfone support
libzthread-2.3-2_2.3.2-7.2_amd64.deb Object-oriented synchronization library for C++
Advertisement
Advertisement